library IEEE;
use IEEE.STD_LOGIC_1164.all;

package led_palkki is

   procedure ohjaus (signal anturit  : in std_logic_vector(2 downto 0);signal led_ohjaus  : out std_logic_vector(8 downto 0));

end led_palkki;


package body led_palkki is

  procedure ohjaus (signal anturit  : in std_logic_vector(2 downto 0);signal led_ohjaus  : out std_logic_vector(8 downto 0)) is
    
  begin
     case (anturit) is 
      when "000" => 
          led_ohjaus <= "111111111";
      when "001" =>
          led_ohjaus <= "111111001";
      when "010" =>
          led_ohjaus <= "111001111";
      when "011" =>
          led_ohjaus <= "111001001";
      when "100" =>
          led_ohjaus <= "001111111";
      when "101" =>
          led_ohjaus <= "001111001";
      when "110" =>
          led_ohjaus <= "001001111";
      when "111" =>
          led_ohjaus <= "001001001";
      when others =>
          led_ohjaus <= "001001001";
   end case; 

  end ohjaus;
 
end led_palkki;


